### Constructor

# JavaScriptCore WeakValue new

#### Declaration [src]

    JSCWeakValue*
    jsc_weak_value_new (
      JSCValue* value
    )

#### Description [src]

Create a new `JSCWeakValue` for the JavaScript value referenced by `value`.

#### Parameters

`value`

  Type: `JSCValue`

  A `JSCValue`.

  The data is owned by the caller of the function.

#### Return value

Type: `JSCWeakValue`

A new `JSCWeakValue`.

The caller of the function takes ownership of the data, and is responsible for freeing it.